# Copyright (c) 2000                    RIPE NCC
#
# All Rights Reserved
#
# Permission to use, copy, modify, and distribute this software and its
# documentation for any purpose and without fee is hereby granted,
# provided that the above copyright notice appear in all copies and that
# both that copyright notice and this permission notice appear in
# supporting documentation, and that the name of the author not be
# used in advertising or publicity pertaining to distribution of the
# software without specific, written prior permission.
#
# THE AUTHOR DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
# ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS; IN NO EVENT SHALL
# AUTHOR BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY
# DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN
# AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

# Makefile.site.generic
# Generic template file for site-specific parameters.
# Modify as-is or rename it as Makefile.site.$(HOSTNAME) .


# Site-specific parameters
# Change this variables as needed

# glib-config
GLIBCONF = /usr/local/bin/glib-config

# MySQL include and lib directories
MYSQLDIR = /usr/local/mysql
MYSQLINC = $(MYSQLDIR)/include
MYSQLLIB = $(MYSQLDIR)/lib

# c-client include and lib directories.
# Normally, the easiest thing is to provide the build
# directory where all the headers and the c-client library
# are produced.
CCLIENTDIR = /usr/local/build/imap/c-client
CCLIENTINC = $(CCLIENTDIR)
CCLIENTLIB = $(CCLIENTDIR)

INCLUDES = -I$(INC) -I$(MYSQLINC) -I$(CCLIENTINC) -I. `$(GLIBCONF) --cflags`


# OS-specific flags

##################### 
# Solaris (2.6, 7)
##################### 
# Uncomment to use gcc
CC    = gcc -Wall
CVERS = 

# Uncomment to use Solaris C
#CC    = ucbcc
#CVERS = -xCC

# Compiler flags
# _POSIX_PTHREAD_SEMANTICS is needed for ctime_r calls
CFLAGS  = -g $(CVERS) $(INCLUDES) -DHAVE_STRTOK_R -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS
LFLAGS  = -g -L$(LIB) -L$(MYSQLLIB) $(CCLIENTLIB)/c-client.a `$(GLIBCONF) --libs`
##################### 


##################### 
# BSDI (3.1) 
# not tested
##################### 
# Uncomment to use gcc
#CC     = gcc -Wall

# Compiler flags
#CFLAGS = -g -Wpointer-arith $(INCLUDES) -D_REENTRANT
#LFLAGS  = -L$(LIB) -L$(MYSQLLIB) $(CCLIENTLIB)/c-client.a `$(GLIBCONF) --libs`
##################### 

# END of OS-specific flags
